; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = some_name
;   command = the_command
;   time = time (optional)
;   buffer.time = time (optional)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas. Each of these
;   buttons or directions is referred to as a "symbol".
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /DB, a   ;hold down-back while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   greater-than (>) - means there must be no other keys pressed or released
;                      between the previous and the current symbol.
;          egs. command = a, >~a   ;press a and release it without having hit
;                                  ;or released any other keys in between
;   You can combine the symbols:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;
;   Note: Successive direction symbols are always expanded in a manner similar
;         to this example:
;           command = F, F
;         is expanded when MUGEN reads it, to become equivalent to:
;           command = F, >~F, >F
;
;   It is recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This makes the command easier
;   to do.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. The default
;   value for this is set in the [Defaults] section below. A typical
;   value is 15.
;
; - buffer.time (optional)
;   Time that the command will be buffered for. If the command is done
;   successfully, then it will be valid for this time. The simplest
;   case is to set this to 1. That means that the command is valid
;   only in the same tick it is performed. With a higher value, such
;   as 3 or 4, you can get a "looser" feel to the command. The result
;   is that combos can become easier to do because you can perform
;   the command early. Attacks just as you regain control (eg. from
;   getting up) also become easier to do. The side effect of this is
;   that the command is continuously asserted, so it will seem as if
;   you had performed the move rapidly in succession during the valid
;   time. To understand this, try setting buffer.time to 30 and hit
;   a fast attack, such as KFM's light punch.
;   The default value for this is set in the [Defaults] section below. 
;   This parameter does not affect hold-only commands (eg. /F). It
;   will be assumed to be 1 for those commands.
;
; If you have two or more commands with the same name, all of them will
; work. You can use it to allow multiple motions for the same move.
;
; Some common commands examples are given below.
;
; [Command] ;Quarter circle forward + x
; name = "QCF_x"
; command = ~D, DF, F, x
;
; [Command] ;Half circle back + a
; name = "HCB_a"
; command = ~F, DF, D, DB, B, a
;
; [Command] ;Two quarter circles forward + y
; name = "2QCF_y"
; command = ~D, DF, F, D, DF, F, y
;
; [Command] ;Tap b rapidly
; name = "5b"
; command = b, b, b, b, b
; time = 30
;
; [Command] ;Charge back, then forward + z
; name = "charge_B_F_z"
; command = ~60$B, F, z
; time = 10
;
; [Command] ;Charge down, then up + c
; name = "charge_D_U_c"
; command = ~60$D, U, c
; time = 10


;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_z"
command = ~D, DF, F, z

[Command]
name = "QCF_a"
command = ~D, DF, F, a


[Command]
name = "QCF_b"
command = ~D, DF, F, b

[Command]
name = "QCF_c"
command = ~D, DF, F, c

[Command]
name = "QCF_xy"
command = ~D, DF, F, x+y

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_xy"
command = ~D, DB, B, x+y

[Command]
name = "QCB_z"
command = ~D, DB, B, z

[Command]
name = "QCB_a"
command = ~D, DB, B, a

[Command]
name = "QCB_b"
command = ~D, DB, B, b

[Command]
name = "QCB_c"
command = ~D, DB, B, c

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

[Command]
name = "F_a"
command = F, a

[Command]
name = "B_a"
command = B, a


[Command]
name = "U_a"
command = U, a

[Command]
name = "D_a"
command = D, a

[Command]
name = "F_b"
command = F, b

[Command]
name = "B_b"
command = B, b


[Command]
name = "U_b"
command = U, b

[Command]
name = "D_b"
command = D, b

[Command]
name = "F_c"
command = F, c

[Command]
name = "B_c"
command = B, c


[Command]
name = "U_c"
command = U, c

[Command]
name = "D_c"
command = D, c

[Command]
name = "F_x"
command = F, x

[Command]
name = "B_x"
command = B, x


[Command]
name = "U_x"
command = U, x

[Command]
name = "D_x"
command = D, x

[Command]
name = "F_y"
command = F, y

[Command]
name = "B_y"
command = B, y


[Command]
name = "U_y"
command = U,y 

[Command]
name = "D_y"
command = D, y

[Command]
name = "F_z"
command = F, z

[Command]
name = "B_z"
command = B, z


[Command]
name = "U_z"
command = U,z 

[Command]
name = "D_z"
command = D, z

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "aa"
command = a,a
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

name = "a+z"
command = a+z
time = 10

name = "b+z"
command = b+z
time = 10

name = "c+z"
command = c+z
time = 10

name = "x+z"
command = x+z
time = 10

name = "y+z"
command = x+z
time = 10





;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;AI用
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,b,c,x,y,z,a,b,c,x,y,z,a,b,c,x,y,z,a
time = 0
[Command]
name = "AI30"
command = z,y,x,c,b,a,z,y,x,c,b,a,z,y,x,c,b,a,z
time = 0
[Command]
name = "AI31"
command = D,D,B,B,U,U,F,F,D,D,B,B,U,U,F,F,D,D,B
time = 0
[Command]
name = "AI32"
command = F,D,B,U,a,b,c,x,y,z,F,D,B,U,a,b,c,x,y
time = 0
[Command]
name = "AI33"
command = z,y,x,a,b,c,U,B,D,F,z,y,x,a,b,c,U,B,D
time = 0
[Command]
name = "AI34"
command = s,s,s,a,a,a,b,b,b,c,c,c,c,c,c,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,a,b,b,a,b,b,b,a,a,a,a,a,a,z,z
time = 0
[Command]
name = "AI36"
command = z,z,D,D,D,z,a,a,a,z,z,z,z,U,U,U,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,B,B,B,a,a,a,a,F,F,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = c,z,z,z,z,a,a,a,z,c,z,z,z,a,a,a,z,z,c
time = 0
[Command]
name = "AI39"
command = z,z,z,c,z,a,a,a,z,z,z,c,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = c,z,z,z,a,c,a,z,z,z,z,c,z,z,a,a,c,z,z
time = 0
[Command]
name = "AI41"
command = b,z,z,a,z,b,z,z,z,z,z,b,z,a,a,z,b,z,z
time = 0
[Command]
name = "AI42"
command = a,z,z,z,z,a,z,z,z,z,z,a,z,z,z,z,a,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,y,z,z,z,z,y,z,z,y,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = b,z,b,a,b,a,b,z,b,z,b,z,b,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,a,z,z,z,a,a,z,b,z,z,z,a,a,b,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,U,z,c,z,z,a,U,a,a,U,a,c,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,c,a,z,y,z,z,z,c,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,b,z,z,z,a,b,a,z,z,z,a,b,a,z,c,a,z,a
time = 0
[Command]
name = "AI49"
command = z,y,z,z,a,a,a,z,z,y,z,z,a,y,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,y,z,y,y,z,z,z,z,a,a,z,z,z
time = 0


;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;1

;万能アタック
[State -1, 万能アタック]
type = ChangeState
value = 200
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 2000
triggerall = command != "a"
triggerall = command != "b"
triggerall = command != "c"
triggerall = command != "x"
triggerall = command != "y"
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;不適に微笑む
[State -1, 不適に微笑む]
type = ChangeState
value = 210
triggerall= var(59) = 0
triggerall= var(10) != 1
triggerall = power >= 500
triggerall = command = "z"
triggerall = command != "a"
triggerall = command != "b"
triggerall = command != "c"
triggerall = command != "x"
triggerall = command != "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;アギ
[State -1, アギ]
type = ChangeState
value = 220
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 500
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "a"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(11) = 1
trigger1 = var(12) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0

;火炎ガードキル
[State -1, 火炎ガードキル]
type = ChangeState
value = 230
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(25) != 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = var(11) = 1
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(12) = 0
trigger1  = command = "c"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 0
trigger2  = command = "U_b"
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(23) = 1
trigger3 = var(24) = 1
trigger3  = command = "U_b"

;アギラオ
[State -1, アギ]
type = ChangeState
value = 240
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 700
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(11) = 1
trigger1 = var(12) = 0
trigger1 = command = "a"
trigger1= command = "holdfwd"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(11) = 1
trigger2 = command = "F_a"
trigger2 = var(12) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(20) = 1
trigger3 = command = "F_a"
trigger3 = var(21) = 0

;アギダイン
[State -1, アギ]
type = ChangeState
value = 250
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(11) = 1
trigger1 = var(12) = 0
trigger1  = command = "a"
trigger1 = command = "holdback"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(11) = 1
trigger2  = command = "B_a"
trigger2 = var(12) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(20) = 1
trigger3  = command = "B_a"
trigger3 = var(21) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4  = command = "U_a"
trigger4 = var(23) = 1
trigger4 = var(24) = 0
trigger5 = statetype = S
trigger5 = ctrl
trigger5  = command = "U_a"
trigger5 = var(23) = 1
trigger5 = var(24) = 1

;マハラギ
[State -1, マハラギ]
type = ChangeState
value = 260
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 800
trigger1 = ctrl
trigger1 = var(11) = 1
trigger1 = var(12) = 0
trigger1  = command = "D_a"
trigger1 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "D_a"
trigger2 = statetype = S



;マハラギオン
[State -1, マハオン]
type = ChangeState
value = 270
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1300
triggerall = statetype = S
trigger1 = ctrl
trigger1 = var(11) = 1
trigger1 = var(12) = 0
trigger1  = command = "U_a"
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "U_a"

;マハラギダイン
[State -1, マハラギダイン]
type = ChangeState
value = 280
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1800
trigger1 = ctrl
trigger1 = var(11) = 1
trigger1 = var(12) = 0
trigger1 = statetype = S
trigger1  = command = "a"
trigger1  = command = "z"
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "a"
trigger2  = command = "z"
trigger2 = statetype = S
trigger3 = statetype = S
trigger3 = ctrl
trigger3  = command = "U_x"
trigger3 = var(23) = 1
trigger3 = var(24) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4  = command = "U_x"
trigger4 = var(23) = 1
trigger4 = var(24) = 1

;===========================================================================
;2
;氷結ガードキル
[State -1, 氷結ガードキル]
type = ChangeState
value = 290
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(26) != 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(12) = 1
trigger1 = var(13) = 0
trigger1  = command = "c"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 0
trigger2  = command = "F_b"
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(23) = 1
trigger3 = var(24) = 1
trigger3  = command = "F_b"

;ブフ
[State -1, ブフ]
type = ChangeState
value = 300
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 500
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "b"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(12) = 1
trigger1 = var(13) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0

;ブフーラ
[State -1, ブフーラ]
type = ChangeState
value = 310
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 700
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(12) = 1
trigger1 = var(13) = 0
trigger1 = command = "b"
trigger1= command = "holdfwd"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_b"
trigger2 = var(12) = 1
trigger2 = var(13) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = command = "F_b"
trigger3 = var(20) = 1
trigger3 = var(21) = 0

;ブフダイン
[State -1, ブフ]
type = ChangeState
value = 320
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(12) = 1
trigger1 = var(13) = 0
trigger1  = command = "b"
trigger1 = command = "holdback"
trigger2 = statetype = S
trigger2 = ctrl
trigger2  = command = "B_b"
trigger2 = var(12) = 1
trigger2 = var(13) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3  = command = "B_b"
trigger3 = var(20) = 1
trigger3 = var(21) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4  = command = "F_a"
trigger4 = var(23) = 1
trigger4 = var(24) = 0
trigger5 = statetype = S
trigger5 = ctrl
trigger5  = command = "F_a"
trigger5 = var(23) = 1
trigger5 = var(24) = 1

;マハブフ
[State -1, マハブフ]
type = ChangeState
value = 330
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 800
trigger1 = ctrl
trigger1 = var(12) = 1
trigger1 = var(13) = 0
trigger1  = command = "D_b"
trigger1 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "D_b"
trigger2 = statetype = S

;マハブフーラ
[State -1, マハブフーラ]
type = ChangeState
value = 340
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1300
trigger1 = ctrl
trigger1 = var(12) = 1
trigger1 = var(13) = 0
trigger1  = command = "U_b"
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "U_b"

;マハブフダイン
[State -1, マハブフダイン]
type = ChangeState
value = 350
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1800
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(12) = 1
trigger1 = var(13) = 0
trigger1  = command = "b"
trigger1  = command = "z"
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "b"
trigger2  = command = "z"
trigger2 = statetype = S
trigger3 = statetype = S
trigger3 = ctrl
trigger3  = command = "F_x"
trigger3 = var(23) = 1
trigger3 = var(24) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4  = command = "F_x"
trigger4 = var(23) = 1
trigger4 = var(24) = 1

;===========================================================================
;3
;疾風ガードキル
[State -1, 疾風ガードキル]
type = ChangeState
value = 360
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(27) != 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(13) = 1
trigger1 = var(14) = 0
trigger1  = command = "c"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 0
trigger2  = command = "D_b"
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(23) = 1
trigger3 = var(24) = 1
trigger3  = command = "D_b"


;ガル
[State -1, ガル]
type = ChangeState
value = 370
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 500
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "x"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(13) = 1
trigger1 = var(14) = 0
trigger1 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0

;ガルーラ
[State -1, ガルーラ]
type = ChangeState
value = 380
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 700
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(13) = 1
trigger1 = var(14) = 0
trigger1 = command = "x"
trigger1= command = "holdfwd"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_x"
trigger2 = var(13) = 1
trigger2 = var(14) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = command = "F_x"
trigger3 = var(20) = 1
trigger3 = var(21) = 0

;ガルダイン
[State -1, ガルダイン]
type = ChangeState
value = 390
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(13) = 1
trigger1 = var(14) = 0
trigger1  = command = "x"
trigger1 = command = "holdback"
trigger2 = statetype = S
trigger2 = ctrl
trigger2  = command = "B_x"
trigger2 = var(13) = 1
trigger2 = var(14) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3  = command = "B_x"
trigger3 = var(20) = 1
trigger3 = var(21) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4  = command = "D_a"
trigger4 = var(23) = 1
trigger4 = var(24) = 0
trigger5 = statetype = S
trigger5 = ctrl
trigger5  = command = "D_a"
trigger5 = var(23) = 1
trigger5 = var(24) = 1


;マハガル
[State -1, マハガル]
type = ChangeState
value = 400
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 800
trigger1 = ctrl
trigger1 = var(13) = 1
trigger1 = var(14) = 0
trigger1  = command = "D_x"
trigger1 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "D_x"
trigger2 = statetype = S



;マハガルーラ
[State -1, マハガルーラ]
type = ChangeState
value = 410
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1300
trigger1 = ctrl
trigger1 = var(13) = 1
trigger1 = var(14) = 0
trigger1  = command = "U_x"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "U_x"
trigger2 = statetype = S


;マハガルダイン
[State -1, マハガルダイン]
type = ChangeState
value = 420
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1800
trigger1 = ctrl
trigger1 = var(13) = 1
trigger1 = var(14) = 0
trigger1  = command = "x"
trigger1  = command = "z"
trigger1 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "x"
trigger2  = command = "z"
trigger2 = statetype = S
trigger3 = statetype = S
trigger3 = ctrl
trigger3  = command = "D_x"
trigger3 = var(23) = 1
trigger3 = var(24) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4  = command = "D_x"
trigger4 = var(23) = 1
trigger4 = var(24) = 1

;===========================================================================
;3
;電撃ガードキル
[State -1, 電撃ガードキル]
type = ChangeState
value = 430
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(28) != 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(14) = 1
trigger1 = var(15) = 0
trigger1 = command = "c"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 0
trigger2  = command = "B_b"
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(23) = 1
trigger3 = var(24) = 1
trigger3  = command = "B_b"

;ジオ
[State -1, ジオ]
type = ChangeState
value = 440
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 500
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "y"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(14) = 1
trigger1 = var(15) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0

;ジオンガ
[State -1, ジオンガ]
type = ChangeState
value = 450
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 700
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(14) = 1
trigger1 = var(15) = 0
trigger1 = command = "y"
trigger1= command = "holdfwd"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_y"
trigger2 = var(14) = 1
trigger2 = var(15) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = command = "F_y"
trigger3 = var(20) = 1
trigger3 = var(21) = 0

;ジオダイン
[State -1, ジオダイン]
type = ChangeState
value = 460
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(14) = 1
trigger1 = var(15) = 0
trigger1  = command = "y"
trigger1 = command = "holdback"
trigger2 = statetype = S
trigger2 = ctrl
trigger2  = command = "B_y"
trigger2 = var(14) = 1
trigger2 = var(15) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3  = command = "B_y"
trigger3 = var(20) = 1
trigger3 = var(21) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4  = command = "B_a"
trigger4 = var(23) = 1
trigger4 = var(24) = 0
trigger5 = statetype = S
trigger5 = ctrl
trigger5  = command = "B_a"
trigger5 = var(23) = 1
trigger5 = var(24) = 1



;マハジオ
[State -1, マハジオ]
type = ChangeState
value = 470
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 800
trigger1 = ctrl
trigger1 = var(14) = 1
trigger1 = var(15) = 0
trigger1  = command = "D_y"
trigger1 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "D_y"
trigger2 = statetype = S




;マハジオンガ
[State -1, マハジオンガ]
type = ChangeState
value = 480
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1300
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(14) = 1
trigger1 = var(15) = 0
trigger1  = command = "U_y"
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "U_y"
trigger2 = statetype = S


;マハジオダイン
[State -1, マハジオダイン]
type = ChangeState
value = 490
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1800
trigger1 = ctrl
trigger1 = var(14) = 1
trigger1 = var(15) = 0
trigger1  = command = "y"
trigger1  = command = "z"
trigger1 = statetype = S
trigger2 = ctrl
trigger2 = var(20) = 1
trigger2 = var(21) = 0
trigger2  = command = "y"
trigger2  = command = "z"
trigger2 = statetype = S
trigger3 = statetype = S
trigger3 = ctrl
trigger3  = command = "B_x"
trigger3 = var(23) = 1
trigger3 = var(24) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4  = command = "B_x"
trigger4 = var(23) = 1
trigger4 = var(24) = 1


;---------------------------------------------------------------------------
;===========================================================================
;4




;デッドエンド
[State -1, デッドエンド]
type = ChangeState
value = 500
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "c"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(15) = 1
trigger1 = var(16) = 0

;パスタアタック
[State -1, パスタアタック]
type = ChangeState
value = 510
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
trigger1 = ctrl
trigger1 = var(15) = 1
trigger1 = var(16) = 0
trigger1  = command = "U_c"
trigger1 = statetype = S

;リベリオン
[State -1, リベリオン]
type = ChangeState
value = 520
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(15) = 1
trigger1 = var(16) = 0
trigger1 = command = "c"
trigger1= command = "holdfwd"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_c"
trigger2 = var(15) = 1
trigger2 = var(16) = 0

;レボリューション
[State -1, レボリューション]
type = ChangeState
value = 530
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 2000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(15) = 1
trigger1 = var(16) = 0
trigger1  = command = "c"
trigger1 = command = "holdback"
trigger2 = statetype = S
trigger2 = ctrl
trigger2  = command = "B_c"
trigger2 = var(15) = 1
trigger2 = var(16) = 0




;---------------------------------------------------------------------------
;===========================================================================
;５
;エンジェルアロー
[State -1, エンジェルアロー]
type = ChangeState
value = 540
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 500
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "c"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(16) = 1
trigger1 = var(17) = 0


;マリンカリン
[State -1, マリンカリン]
type = ChangeState
value = 550
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
trigger1 = ctrl
trigger1 = var(16) = 1
trigger1 = var(17) = 0
trigger1  = command = "U_c"
trigger1 = statetype = S

;テンタラフー
[State -1, テンタラフー]
type = ChangeState
value = 560
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 2000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(16) = 1
trigger1 = var(17) = 0
trigger1 = command = "c"
trigger1= command = "holdfwd"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_c"
trigger2 = var(16) = 1
trigger2 = var(17) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = command = "F_c"
trigger3 = var(19) = 1
trigger3 = var(20) = 0



;プリンパ
[State -1, プリンパ]
type = ChangeState
value = 570
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(16) = 1
trigger1 = var(17) = 0
trigger1  = command = "c"
trigger1 = command = "holdback"
trigger2 = statetype = S
trigger2 = ctrl
trigger2  = command = "B_c"
trigger2 = var(16) = 1
trigger2 = var(17) = 0


;---------------------------------------------------------------------------
;===========================================================================
;6
;チャージ
[State -1, チャージ]
type = ChangeState
value = 580
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(31) != 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(17) = 1
trigger1 = var(18) = 0
trigger1 = command = "c"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(21) = 1
trigger2 = var(22) = 0
trigger2 = command = "c"
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(23) = 1
trigger3 = var(24) = 0
trigger3 = command = "D_c"
trigger4 = statetype = S
trigger4 = ctrl
trigger4 = var(23) = 1
trigger4 = var(24) = 1
trigger4 = command = "D_c"

;ゴットハンド
[State -1, ゴットハンド]
type = ChangeState
value = 590
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
trigger1 = ctrl
trigger1 = var(17) = 1
trigger1 = var(18) = 0
trigger1  = command = "U_c"
trigger1 = statetype = S

;ヒートウェイブ
[State -1, ヒートウェイブ]
type = ChangeState
value = 600
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(17) = 1
trigger1 = var(18) = 0
trigger1 = command = "c"
trigger1= command = "holdfwd"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_c"
trigger2 = var(17) = 1
trigger2 = var(18) = 0

;---------------------------------------------------------------------------
;===========================================================================
;7
;タカルジャ
[State -1, タカルジャ]
type = ChangeState
value = 610
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(32) != 1
triggerall = power >= 500
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = command = "c"
trigger1 = ctrl
trigger1 = var(18) = 1
trigger1 = var(19) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 0
trigger2 = command = "D_y"
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(23) = 1
trigger3 = var(24) = 1
trigger3 = command = "D_y"



;マハンマ
[State -1, マハンマ]
type = ChangeState
value = 620
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
trigger1 = ctrl
trigger1 = var(18) = 1
trigger1 = var(19) = 0
trigger1  = command = "U_c"
trigger1 = statetype = S

;ハマオン
[State -1, ハマオン]
type = ChangeState
value = 630
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(18) = 1
trigger1 = var(19) = 0
trigger1 = command = "c"
trigger1= command = "holdfwd"
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_c"
trigger2 = var(18) = 1
trigger2 = var(19) = 0


;---------------------------------------------------------------------------
;===========================================================================
;9

;テトラカーン
[State -1, テトラカーン]
type = ChangeState
value = 640
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(34) = 0
triggerall = power >= 1000
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "a"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(19) = 1
trigger1 = var(20) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(19) = 1
trigger2 = var(20) = 0

;マララカーン
[State -1, マララカーン]
type = ChangeState
value = 650
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(35) = 0
triggerall = power >= 1000
triggerall = command != "holddown"
triggerall
trigger1 = ctrl
trigger1 = var(19) = 1
trigger1 = var(20) = 0
trigger1 = command = "a"
trigger1= command = "holdfwd"
trigger1 = statetype = S
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_a"
trigger2 = var(19) = 1
trigger2 = var(20) = 0


;ムドオン
[State -1, ムドオン]
type = ChangeState
value = 660
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(19) = 1
trigger1 = var(20) = 0
trigger1  = command = "a"
trigger1 = command = "holdback"
trigger2 = statetype = S
trigger2 = ctrl
trigger2  = command = "B_a"
trigger2 = var(19) = 1
trigger2 = var(20) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3  = command = "B_a"
trigger3 = var(22) = 1
trigger3 = var(23) = 0

;マハムド
[State -1, マハムド]
type = ChangeState
value = 670
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
trigger1 = ctrl
trigger1 = var(19) = 1
trigger1 = var(20) = 0
trigger1  = command = "D_a"
trigger1 = statetype = S


;ポイズマ
[State -1, ポイズマ]
type = ChangeState
value = 680
triggerall= var(59) = 0
triggerall= var(36) = 0
triggerall= var(10) = 1
triggerall = power >= 500
trigger1 = ctrl
trigger1 = var(19) = 1
trigger1 = var(20) = 0
trigger1  = command = "U_a"
trigger1 = statetype = S



;淀んだ吐息
[State -1, 淀んだ吐息]
type = ChangeState
value = 690
triggerall= var(59) = 0
triggerall= var(37) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
trigger1 = ctrl
trigger1 = var(19) = 1
trigger1 = var(20) = 0
trigger1  = command = "a"
trigger1  = command = "z"
trigger1 = statetype = S

;---------------------------------------------------------------------------
;===========================================================================
;10
;ラクンダ
[State -1, ラクンダ]
type = ChangeState
value = 700
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(38) = 0
triggerall = power >= 500
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "a"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(21) = 1
trigger1 = var(22) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(21) = 1
trigger2 = var(22) = 0


;五月雨斬り
[State -1, 五月雨斬り]
type = ChangeState
value = 710
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
triggerall = command != "holddown"
trigger1 = ctrl
trigger1 = var(21) = 1
trigger1 = var(22) = 0
trigger1 = command = "a"
trigger1= command = "holdfwd"
trigger1 = statetype = S
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = command = "F_a"
trigger2 = var(21) = 1
trigger2 = var(22) = 0


;デスバウンド
[State -1, デスバウンド]
type = ChangeState
value = 720
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(21) = 1
trigger1 = var(22) = 0
trigger1  = command = "a"
trigger1 = command = "holdback"
trigger2 = statetype = S
trigger2 = ctrl
trigger2  = command = "B_a"
trigger2 = var(21) = 1
trigger2 = var(22) = 0
;---------------------------------------------------------------------------
;===========================================================================
;10

[State -1, ムド]
type = ChangeState
value = 730
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 700
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "a"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(22) = 1
trigger1 = var(23) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(22) = 1
trigger2 = var(23) = 0

;コンセントレート
[State -1, コンセントレート]
type = ChangeState
value = 740
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(39) != 1
triggerall = power >= 1000
triggerall = command != "holddown"
triggerall = command != "z"
trigger1 = statetype = S
trigger1 = command = "c"
trigger1 = ctrl
trigger1 = var(22) = 1
trigger1 = var(23) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 0
trigger2 = command = "U_c"
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(23) = 1
trigger3 = var(24) = 1
trigger3 = command = "U_c"



;メギドラ
[State -1, メギドラ]
type = ChangeState
value = 750
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 3000
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "a"
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(22) = 1
trigger1 = var(23) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(22) = 1
trigger2 = var(23) = 0
trigger3 = statetype = S
trigger3 = ctrl
trigger3 = var(23) = 1
trigger3 = var(24) = 0
trigger4 = statetype = S
trigger4 = ctrl
trigger4 = var(23) = 1
trigger4 = var(24) = 1


;デビルタッチ
[State -1, デビルタッチ]
type = ChangeState
value = 760
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
triggerall = command != "holddown"
trigger1 = ctrl
trigger1 = var(23) = 1
trigger1 = var(24) = 0
trigger1 = statetype = S
trigger1 = command = "F_a"

;---------------------------------------------------------------------------
;===========================================================================
;11

;夜の女王
[State -1, 夜の女王]
type = ChangeState
value = 770
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(44) = 0
triggerall = power >= 3000
triggerall = Life <= 750
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "c"
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(23) = 1
trigger1 = var(24) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 1



;ポイズンミスト
[State -1, ポイズンミスト]
type = ChangeState
value = 780
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(41) != 1
triggerall = power >= 1500
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "y"
triggerall = command != "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(23) = 1
trigger1 = var(24) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 1

;闇夜のドレス
[State -1, 闇夜のドレス]
type = ChangeState
value = 790
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall= var(42) != 1
triggerall = power >= 3000
triggerall = command != "holdback"
triggerall = command != "holdfwd"
triggerall  = stateno != 260
triggerall  = stateno != 270
triggerall = command = "b"
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = command != "holdup"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = var(23) = 1
trigger1 = var(24) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 1

;マハラクンダ
[State -1, マハラクンダ]
type = ChangeState
value = 800
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1000
trigger1 = ctrl
trigger1 = var(23) = 1
trigger1 = var(24) = 0
trigger1  = command = "U_y"
trigger1 = statetype = S
trigger2 = ctrl
trigger2 = var(23) = 1
trigger2 = var(24) = 1
trigger2  = command = "U_y"
trigger2 = statetype = S



;デビルスマイル
[State -1, デビルスマイル]
type = ChangeState
value = 810
triggerall= var(59) = 0
triggerall= var(10) = 1
triggerall = power >= 1500
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1  = command = "B_a"
trigger1 = var(23) = 1
trigger1 = var(24) = 0
trigger2 = statetype = S
trigger2 = ctrl
trigger2  = command = "B_a"
trigger2 = var(23) = 1
trigger2 = var(24) = 1
;---------------------------------------------------------------------------
;===========================================================================











[State -1];相手が立ち状態のとき全投げを無効
type = NotHitBy
trigger1 = enemynear,statetype = S
trigger2 = enemynear,statetype = C
trigger3 = enemynear,statetype = A
value = ,AT



;カード０愚者
[State -1, Jump Strong Kick]
type = ChangeState
value = 9999
trigger1 = statetype = S
trigger1 = var(10) = 1
trigger1 = var(11) = 0
trigger1 = Life <= 7000

;カード０愚者
[State -1]
type = varset 
trigger1 = statetype = S
trigger1 = var(10) = 0
trigger1  = Life <= 7000
var(10) = 1



;カード１魔術師
[State -1, Jump Strong Kick]
type = ChangeState
value = 10100
trigger1 = statetype = S
trigger1 = var(11) = 1
trigger1 = var(12) = 0
trigger1 = Life <= 6500


;カード２女司祭長
[State -1, Jump Strong Kick]
type = ChangeState
value = 10101
trigger1 = statetype = S
trigger1 = var(12) = 1
trigger1 = var(13) = 0
trigger1 = Life <= 6000


;カード３女帝
[State -1, Jump Strong Kick]
type = ChangeState
value = 10102
trigger1 = statetype = S
trigger1 = var(13) = 1
trigger1 = var(14) = 0
trigger1 = Life <= 5500

;カード４エンペラー
[State -1, Jump Strong Kick]
type = ChangeState
value = 10103
trigger1 = statetype = S
trigger1 = var(14) = 1
trigger1 = var(15) = 0
trigger1 = Life <= 5000


;カード５司祭長
[State -1, Jump Strong Kick]
type = ChangeState
value = 10104
trigger1 = statetype = S
trigger1 = var(15) = 1
trigger1 = var(16) = 0
trigger1 = Life <= 4500


;カード６ラヴァース
[State -1, Jump Strong Kick]
type = ChangeState
value = 10105
trigger1 = statetype = S
trigger1 = var(16) = 1
trigger1 = var(17) = 0
trigger1 = Life <= 4000



;カード７戦車チェリオット
[State -1, Jump Strong Kick]
type = ChangeState
value = 10106
trigger1 = statetype = S
trigger1 = var(17) = 1
trigger1 = var(18) = 0
trigger1 = Life <= 3500


;カード８ストレングス
[State -1, Jump Strong Kick]
type = ChangeState
value = 10107
trigger1 = statetype = S
trigger1 = var(18) = 1
trigger1 = var(19) = 0
trigger1 = Life <= 3000



;カード９ハーミット
[State -1, Jump Strong Kick]
type = ChangeState
value = 10108
trigger1 = statetype = S
trigger1 = var(19) = 1
trigger1 = var(20) = 0
trigger1 = Life <= 2500


;カード１０運命
[State -1, Jump Strong Kick]
type = ChangeState
value = 10109
trigger1 = statetype = S
trigger1 = var(20) = 1
trigger1 = var(21) = 0
trigger1 = Life <= 2000



;カード１１正義
[State -1, Jump Strong Kick]
type = ChangeState
value = 10110
trigger1 = statetype = S
trigger1 = var(21) = 1
trigger1 = var(22) = 0
trigger1 = Life <= 1500

;カード１２ハングドマン
[State -1, Jump Strong Kick]
type = ChangeState
value = 10111
trigger1 = statetype = S
trigger1 = var(22) = 1
trigger1 = var(23) = 0
trigger1 = Life <= 1000



;カード１３デス
[State -1, Jump Strong Kick]
type = ChangeState
value = 10112
trigger1 = statetype = S
trigger1 = var(23) = 1
trigger1 = var(24) = 0
trigger1 = Life <= 500




